#
# spec file for package mined (Version 2000.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         mined
Copyright:    GPL
Group:        X11/Applications
Autoreqprov:  on
Version:      2000.2
Release:      78
URL:          http://www.inf.fu-berlin.de/~wolff/mined.html
Source0:      http://www.inf.fu-berlin.de/~wolff/mined-2000.2.tar.bz2
# Online help update
Patch1:       mined2000-termio.patch
BuildRoot: /var/tmp/%{name}-root
Summary:      small and simple editor, but full of capabilities.  With UTF-8 support.

%description
An editor that is small and simple to use but yet full of capabilities.
Highlights:
- UTF-8 Unicode support
- Works with UTF-8 text mode terminals or windows like xterm.
- Auto-detection of Latin-1, UTF-8 or UTF-16 input encoding.
- New: Works with dual-width Han fonts (xterm 120 + patch needed).
- Commands and input support for display and handling of code values.
- Transparent handling of illegal UTF-8 sequences.
- Can edit UTF-8 text in non-UTF terminals.
- (Can, of course, also edit Latin-1 text in UTF-8 terminals.)

Authors:
--------
    Thomas Wolff <towo@computer.org>

SuSE series: ap

%prep
%setup0 -n mined-2000.2

%build
CFLAGS="$RPM_OPT_FLAGS" make -C src -f makefile.linux

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT%{_mandir}/man1
install -s -m 755 src/mined $RPM_BUILD_ROOT/usr/bin
install -m 644 doc/mined.man $RPM_BUILD_ROOT%{_mandir}/man1/mined.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc CHANGES VERSION README LICENSE.GNU minedenv.sh mined.hlp doc/*
/usr/bin/mined
%{_mandir}/man1/mined.1*

%changelog -n mined
* Sat Apr 21 2001 - mfabian@suse.de
- update tarball, which includes some fixes from the author:
  menu frames are now drawn with graphic characters even on the
  linux console, help file is automatically found in the standard
  location on SuSE Linux: /usr/share/doc/packages/mined/mined.hlp
* Fri Apr 20 2001 - mfabian@suse.de
- update to version 2000.2
- remove mined.dif and mined2000-termio.patch (fixes included
  upstream)
- remove mined.man (now included upstream)
* Thu Mar 22 2001 - mfabian@suse.de
- add termios/termio patch from werner@suse.de
- bzip2 sources
* Tue Mar 20 2001 - mfabian@suse.de
- use ncurses instead of termcap
* Mon Mar 05 2001 - mfabian@suse.de
- the fix by stepan@suse.de also makes it compile on ia64
* Thu Jan 25 2001 - stepan@suse.de
- prototype fixes for troublefree compilation on Alpha
* Sat Jan 13 2001 - mfabian@suse.de
- converted mined.help file to nroff to have a regular manpage
- updated to mined 2000
* Mon Jan 08 2001 - mfabian@suse.de
- new package: mined 98 release 5/99
